#include <stdio.h>

int __attribute__((noinline)) f(int x) {
	return x+1;
}

int __attribute__((noinline)) g(int y) {
	int z = y+1;
	int a = f(z);
	printf("%d\n", a);
	return a;
}

int main(void) {
	printf("%d\n", g(1));
	return 0;
}
